#!/bin/sh

PRODUCT_ROOT_D=/usr/local/psa

get_random_number()
{
        perl -e '
         my $res = int(rand($ARGV[0]));
         if (exists $ARGV[1]) {
          $res = $res + $ARGV[1];
         }
         print $res;
        ' "$@"
}

install_cron_backup()
{
    [ ! -s "/etc/cron.d/plesk-backup-manager" ] || return
    minutes=`get_random_number 15`

cat >/etc/cron.d/plesk-backup-manager <<-EOF
$minutes,`expr $minutes + 15`,`expr $minutes + 30`,`expr $minutes + 45` *   *   *   *   root [ -x $PRODUCT_ROOT_D/admin/sbin/backupmng ] && $PRODUCT_ROOT_D/admin/sbin/backupmng >/dev/null 2>&1
EOF
}

install_cron_backup
